- API reference
- Order Management API
Refund an order
https://api.kustom.co/ordermanagement/v1/orders/{order_id}/refunds
Create a refund. Read more on Refunds
Order id
This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters.
No field here matches the current filters.
Description of the refund shown to the customer. Max length is 255 characters.
Order lines for the refund shown to the customer. Optional but increases the customer experience. Maximum 1000 order lines.
20 fields in order_lines
URL to an image that can be embedded in communications between Klarna and the customer.
Data about the order line.
Descriptive item name.
product_identifiers
6 fields in product_identifiers
The product’s brand name as generally recognized by consumers. If no brand is available for a product, do not supply any value. Maximum 70 characters. Example: Intel
The product’s category path as used in the merchant’s webshop. Include the full and most detailed category and separate the segments with ’ > ’. Maximum 750 characters. Example: Electronics Store > Computers & Tablets > Desktops
Color to be shown to the end customer (max 64 characters). Example: Denim blue
The product’s Global Trade Item Number (GTIN). Common types of GTIN are EAN, ISBN or UPC. Exclude dashes and spaces, where possible. Maximum 50 characters. Example: 735858293167
The product’s Manufacturer Part Number (MPN), which - together with the brand - uniquely identifies a product. Only submit MPNs assigned by a manufacturer and use the most specific MPN possible. Maximum 70 characters. Example: BOXNUC5CPYH
Size to be shown to the end customer (max 64 characters). Example: 4
URL to the product that can be used in communications between Klarna and the customer.
Item quantity.
Unit used to describe the quantity.
Article number, SKU, or similar identifier on the product variant level.
The tax rate in percent with two implicit decimals.
Total amount including tax and discounts (
quantity * unit_price - total_discount_amount).The discount amount in minor units. Includes tax. Example: 1200 = $12. Max value: 200000000
The total tax amount in minor units.
Order line type.
- physical
- discount
- shipping_fee
- sales_tax
- store_credit
- gift_card
- digital
- surcharge
- return_fee
- package
Unit price including tax without applying discounts in minor units.
Internal reference to the refund. This will be included in the settlement files. Max length is 255 characters.
Refunded amount in minor units.
No field here matches the current filters.
Refund created
No response body — this status returns headers only.
No field here matches the current filters.
Refund not allowed
Correlation id. For searching logs.
Error code
Error messages
No field here matches the current filters.
Order not found.
Correlation id. For searching logs.
Error code
Error messages
No field here matches the current filters.
Conflict
No response body — this status returns headers only.
No field here matches the current filters.
Errors
| Code | Status | What it means | Retry |
|---|---|---|---|
REFUND_NOT_ALLOWED | 403 | The order has no captured amount to refund. Needs CAPTURED. | Never retry |
NO_SUCH_ORDER | 404 | The order_id does not exist, or belongs to the other environment. | Never retry |
This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.